Package ej.microui.display

## Enum ResourceImage.OutputFormat

- java.lang.Object
- - java.lang.Enum<ResourceImage.OutputFormat>
  - - ej.microui.display.ResourceImage.OutputFormat

- All Implemented Interfaces:
    `Serializable`, `Comparable<ResourceImage.OutputFormat>`
  Enclosing class:
    ResourceImage

      public static enum ResourceImage.OutputFormat
      extends Enum<ResourceImage.OutputFormat>

  Enumerates the different formats in which a resource image can store pixel colors.
  Since:
    2.0
  See Also:
    `ResourceImage.loadImage(String, OutputFormat)`, `ResourceImage.loadImage(InputStream, int, OutputFormat)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `A8` | Represents pixel colors on 8 bits: 8 bit for alpha, 0 bits for red, 0 bits for green and 0 bits for blue.
    `ARGB1555` | Represents pixel colors on 16 bits: 1 bit for alpha, 5 bits for red, 5 bits for green and 5 bits for blue.
    `ARGB4444` | Represents pixel colors on 16 bits: 4 bit for alpha, 4 bits for red, 4 bits for green and 4 bits for blue.
    `ARGB8888` | Represents pixel colors on 32 bits: 8 bits for alpha, 8 bits for red, 8 bits for green and 8 bits for blue.
    `RGB565` | Represents pixel colors on 16 bits: 0 bit for alpha, 5 bits for red, 6 bits for green and 5 bits for blue.
    `RGB888` | Represents pixel colors on 24 bits: 0 bit for alpha, 8 bits for red, 8 bits for green and 8 bits for blue.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte` | `getSNIContext()` | Returns the SNI context data of this format.
    `static ResourceImage.OutputFormat` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ResourceImage.OutputFormat[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARGB8888

          public static final ResourceImage.OutputFormat ARGB8888

      Represents pixel colors on 32 bits: 8 bits for alpha, 8 bits for red, 8 bits for green and 8 bits for blue.

    - #### RGB888

          public static final ResourceImage.OutputFormat RGB888

      Represents pixel colors on 24 bits: 0 bit for alpha, 8 bits for red, 8 bits for green and 8 bits for blue.

    - #### RGB565

          public static final ResourceImage.OutputFormat RGB565

      Represents pixel colors on 16 bits: 0 bit for alpha, 5 bits for red, 6 bits for green and 5 bits for blue.

    - #### ARGB1555

          public static final ResourceImage.OutputFormat ARGB1555

      Represents pixel colors on 16 bits: 1 bit for alpha, 5 bits for red, 5 bits for green and 5 bits for blue.

    - #### ARGB4444

          public static final ResourceImage.OutputFormat ARGB4444

      Represents pixel colors on 16 bits: 4 bit for alpha, 4 bits for red, 4 bits for green and 4 bits for blue.

    - #### A8

          public static final ResourceImage.OutputFormat A8

      Represents pixel colors on 8 bits: 8 bit for alpha, 0 bits for red, 0 bits for green and 0 bits for blue.

  - ### Method Detail

    - #### values

          public static ResourceImage.OutputFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourceImage.OutputFormat c : ResourceImage.OutputFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourceImage.OutputFormat valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSNIContext

          public byte getSNIContext()

      Returns the SNI context data of this format.

      The SNI context can be used to call a native method with SNI. This allows to identify the format in the native world.

      The data format is implementation specific.

      Returns:
        the SNI context of this format.